1

I just installed QGIS version 2.2.0-Valmiera on my mac with OS X. First I installed all required frameworks. QGIS is running, but the Grass plugin is not existing. In the toolbox the grass tools are there. Any one got an idea how to get the grass plugin running?

  • Did you check GRASS plugin in Plugin Manager, i.e. enable it? The toolbox is for the Processing plugin, and the GRASS algorithms there are unrelated to the GRASS plugin. However, both use the same GRASS 6.4.3 install, which is bundled within the Kyngchaos.com QGIS.app for 2.2 release. – dakcarto Jun 8 '14 at 17:30
  • Thanks for the reply. I checked the Plugin Manager and there is no Grass Plugin/field to enable. It is just not there. – Daniel Jun 9 '14 at 6:13
  • Hmm. This is odd. You will need to provide more details about your OS and exactly the steps that you have done to install QGIS from Kyngchaos.com. – dakcarto Jun 9 '14 at 17:32
  • I have OS X 10.9.3 and followed the instructions on Kyngachaos. So installed the GDAL complete version 1.11. Then installed Matplotib Python Modul and afterwards QGIS 2.2.0?! – Daniel Jun 10 '14 at 13:56
  • There is an issue with the latest GDAL.framework python setup. See: gis.stackexchange.com/a/99841/6725, and apply the fix to the gdal-py2.7.pth file. See if that helps; regardless it is a required fix for now. – dakcarto Jun 10 '14 at 21:04
0

I had a similar issue. I was using QGIS Desktop With GRASS 7.4.1 on Windows, but for some reason, I only had and older version of GRASS.. 7.2 or something like that. I just changed from the OSGeo installer and could get to use the plugin

  • 1
    OSX/MacOS does not use the OSGeo4W installer – user2856 Jul 9 '18 at 23:57

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.